PUT
/v1/catalog/products/{id}/kits/{partId}PUT /v1/catalog/products/{id}/kits/{partId}
Scopes: catalog:kits:write
Requires scope: catalog:kits:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int64> | yes | |
partId | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
quantity | integer<int32> | no | |
cost | number<double> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/catalog/products/{id}/kits/{partId}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);